#ifndef __net_service_hpp__
#define __net_service_hpp__

#include <znet.h>

struct client;
struct worker;
struct tdoa_sync;

struct net_service:service_callback
{
	worker*   m_loc_worker;
	tdoa_sync*m_sync_worker;

	net_service();
	~net_service();
	void on_message(std::shared_ptr<client> clt,const char*data,size_t len);
	void on_timer();
};

#endif


